org.apache.commons.math.optimization

## Class VectorialPointValuePair

- java.lang.Object
- - org.apache.commons.math.optimization.VectorialPointValuePair

All Implemented Interfaces:
  Serializable

    public class VectorialPointValuePair
    extends Object
    implements Serializable

This class holds a point and the vectorial value of an objective function at this point.

This is a simple immutable container.

Since:
  2.0
Version:
  $Revision: 980981 $ $Date: 2010-07-31 00:03:04 +0200 (sam. 31 juil. 2010) $
See Also:
  `RealPointValuePair`, `MultivariateVectorialFunction`, Serialized Form

### Field Summary

Fields
`private double[]` `point` Point coordinates.
`private static long` `serialVersionUID` Serializable version identifier.
`private double[]` `value` Vectorial value of the objective function at the point.

### Constructor Summary

Constructors
Constructor and Description
`VectorialPointValuePair(double[] point, double[] value)` Build a point/objective function value pair.
`VectorialPointValuePair(double[] point, double[] value, boolean copyArray)` Build a point/objective function value pair.

### Method Summary

Methods
`double[]` `getPoint()` Get the point.
`double[]` `getPointRef()` Get a reference to the point.
`double[]` `getValue()` Get the value of the objective function.
`double[]` `getValueRef()` Get a reference to the value of the objective function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version identifier.

See Also:
  Constant Field Values

#### point

    private final double[] point

Point coordinates.

#### value

    private final double[] value

Vectorial value of the objective function at the point.

### Constructor Detail

#### VectorialPointValuePair

    public VectorialPointValuePair(double[] point,
                           double[] value)

Build a point/objective function value pair.

Parameters:
  `point` - point coordinates (the built instance will store a copy of the array, not the array passed as argument)
  `value` - value of an objective function at the point

#### VectorialPointValuePair

    public VectorialPointValuePair(double[] point,
                           double[] value,
                           boolean copyArray)

Build a point/objective function value pair.

Parameters:
  `point` - point coordinates (the built instance will store a copy of the array, not the array passed as argument)
  `value` - value of an objective function at the point
  `copyArray` - if true, the input arrays will be copied, otherwise they will be referenced

### Method Detail

#### getPoint

    public double[] getPoint()

Get the point.

Returns:
  a copy of the stored point

#### getPointRef

    public double[] getPointRef()

Get a reference to the point.

This method is provided as a convenience to avoid copying the array, the elements of the array should not be modified.

Returns:
  a reference to the internal array storing the point

#### getValue

    public double[] getValue()

Get the value of the objective function.

Returns:
  a copy of the stored value of the objective function

#### getValueRef

    public double[] getValueRef()

Get a reference to the value of the objective function.

This method is provided as a convenience to avoid copying the array, the elements of the array should not be modified.

Returns:
  a reference to the internal array storing the value of the objective function